---
title: History.length
slug: Web/API/History/length
tags:
  - API
  - HTML DOM
  - History
  - History API
  - Property
  - Read-only
  - Reference
---
<div>{{APIRef("History API")}}</div>

<p><span class="seoSummary">The <code><strong>History.length</strong></code> read-only property returns an integer representing the number of elements in the session history, including the currently loaded page.</span> For example, for a page loaded in a new tab this property returns <code>1</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">const <em>length</em> = history.length
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "history.html#dom-history-length", "History.length")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change from {{SpecName("HTML5 W3C")}}.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "browsers.html#dom-history-length", "History.length")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.History.length")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("History")}} interface it belongs to.</li>
</ul>
